/*
ActivMedia Robotics Interface for Applications (ARIA)
Copyright (C) 2002, ActivMedia Robotics, LLC


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If you wish to redistribute ARIA under different terms, contact 
ActivMedia Robotics for information about a commercial version of ARIA at 
robots@activmedia.com or 
ActivMedia Robotics, 44 Concord Street, Peterborough, NH 03458; 603-924-9100

*/

#ifndef _ArPrefSection_h
#define _ArPrefSection_h


#include <string>
#include <list>
#include "ariaTypedefs.h"
#include "ArPref.h"


class ArPrefSection
{
public:

  AREXPORT ArPrefSection(int id, const char *name, const char *comment);
  AREXPORT ArPrefSection(const ArPrefSection &sect);
  AREXPORT ~ArPrefSection();

  ArPrefSection * findSect(int id);
  ArPrefSection * findSect(const char *id);
  ArPref * findPref(int id);
  ArPref * findPref(const char *id);
  void addPref(ArPref *pref);
  void delPref(ArPref *pref);

  int myID;
  std::string myName;
  std::string myComment;
  ArPref *myPrefs;
  ArPref *myLastPref;
  ArPrefSection *myNext;
  ArPrefSection *myPrev;
};


#endif // _ArPrefSection_h
