/*
ActivMedia Robotics Interface for Applications (ARIA)
Copyright (C) 2002, ActivMedia Robotics, LLC


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If you wish to redistribute ARIA under different terms, contact 
ActivMedia Robotics for information about a commercial version of ARIA at 
robots@activmedia.com or 
ActivMedia Robotics, 44 Concord Street, Peterborough, NH 03458; 603-924-9100

*/

// Timer.h -- Timer thread, used mainly for keeping time

#ifndef ARTIMER_H
#define ARTIMER_H


#include <map>
#include "ariaTypedefs.h"
#include "ArASyncTask.h"
#include "ArFunctor.h"


/*
 * Sleep in a seconds amount of resolution
 */


class ArTimer : public ArASyncTask
{
public:

  typedef std::map<time_t, ArFunctor*> MapType;

  AREXPORT virtual ~ArTimer();

  AREXPORT static bool init();
  AREXPORT static ArTimer * getInst() {return(ourInst);}
  AREXPORT static void addAt(time_t time, ArFunctor *func);
  AREXPORT static void addDelta(time_t delta, ArFunctor *func);

protected:
  AREXPORT ArTimer();

  AREXPORT virtual int create(bool joinable=true)
    {return(ArASyncTask::create(joinable));}
  AREXPORT virtual void * runThread(void *arg);

  static ArTimer *ourInst;

  MapType myTimers;
};


#endif // MURG_TIMER_H
