; Robot parameter file

[General]
;
; Generic settings
;
Class Pioneer
Subclass psos1x
RobotRadius 220.000000   ; radius in mm
RobotDiagonal 90.000000   ; half-height to diagonal of octagon
Holonomic 1.000000   ; turns in own radius
MaxRVelocity 100.000000   ; degrees per second
MaxVelocity 400.000000   ; mm per second
HasMoveCommand 0   ; has built in move command
RequestIOPackets false   ; automatically request IO packets

[ConvFactors]
;
; Conversion factors
;
AngleConvFactor 0.006136   ; radians per angular unit (2PI/4096)
DistConvFactor 0.050660   ; mm returned by P2
VelConvFactor 0.079790   ; mm/sec returned by P2
RangeConvFactor 0.173400   ; sonar range returned in mm
DiffConvFactor 0.003333   ; ratio of angular velocity to wheel velocity difference
Vel2Divisor 4.000000   ; divisor for sending VEL2 commands to the robot

[Accessories]
;
; Accessories the robot has
;
TableSensingIR false   ; if the robot has upwards facing table sensing IR
NewTableSensingIR false   ; if the robot's table sensing IR are sent in the IO packet
FrontBumpers false   ; if the robot has a front bump ring
NumFrontBumpers 0   ; Number of front bumpers on the robot
RearBumpers false   ; if the robot has a rear bump ring
NumRearBumpers 0   ; Number of rear bumpers on the robot

[Sonar]
;
; Sonars
;
; SonarUnit values: <sonarNumber> <x position, mm> <y position, mm> <heading of disc, degrees>
;
SonarNum 7   ; Number of sonar on the robot
@start
SonarUnit 0 100 100 90 
SonarUnit 1 120 80 30 
SonarUnit 2 130 40 15 
SonarUnit 3 130 0 0 
SonarUnit 4 130 -40 -15 
SonarUnit 5 120 -80 -30 
SonarUnit 6 100 -100 -90 
@end

[Laser]
;
;Settings relating to the laser
;
LaserPossessed false   ; if there is a laser on the robot or not
LaserPort COM3   ; port the laser is on
LaserFlipped false   ; if the laser on the robot is flipped (upside-down) or not
LaserPowerControlled true   ; if the power to the laser is controlled by serial
LaserX 0   ; X location of laser (mm)
LaserY 0   ; Y location of laser (mm)

