/*
ActivMedia Robotics Interface for Applications (ARIA)
Copyright (C) 2002, ActivMedia Robotics, LLC


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If you wish to redistribute ARIA under different terms, contact 
ActivMedia Robotics for information about a commercial version of ARIA at 
robots@activmedia.com or 
ActivMedia Robotics, 44 Concord Street, Peterborough, NH 03458; 603-924-9100

*/

#include "Aria.h"


void func()
{
  printf("Task running\n");
  ArUtil::sleep(5000);
  printf("Task exiting\n");
}

int main()
{
  ArGlobalFunctor functor(&func);

  Aria::init();

  /*
    For lovely windows, the dynamic adding of threads
    doesnt work. You realy should create all the threads
    you'll need at the begining of the program.
  */
#ifdef WIN32
  ArTaskPool *pool;
  pool=new ArTaskPool;
  pool->init(3, 0);
  ArTaskPool::setPool(pool);
#endif

  printf("Starting it all\n");
  ArTaskPool::getPool()->runTask(&functor);
  printf("Ran task\n");
  ArTaskPool::getPool()->runTask(&functor);
  printf("Ran task 2\n");
  ArTaskPool::getPool()->runTask(&functor);
  printf("Ran task 3\n");

  printf("main sleeping\n");
  ArUtil::sleep(6000);

  Aria::uninit();

  printf("exiting\n");

  return(0);
}
