/*
ActivMedia Robotics Interface for Applications (ARIA)
Copyright (C) 2002, ActivMedia Robotics, LLC


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

If you wish to redistribute ARIA under different terms, contact 
ActivMedia Robotics for information about a commercial version of ARIA at 
robots@activmedia.com or 
ActivMedia Robotics, 44 Concord Street, Peterborough, NH 03458; 603-924-9100

*/

#include "Aria.h"

int main(void)
{
  ArTime start, now;
  
  start.setToNow();
  start.print();
  ArUtil::sleep(4000);
  now.setToNow();
  now.print();

  printf("MS now start %ld\n", now.mSecSince(start));
  printf("Seconds now start %ld\n", now.secSince(start));
  printf("MS start now %ld\n", start.mSecSince(now));
  printf("Seconds start now %ld\n", start.secSince(now));
  printf("start is before now %d\n", now.isBefore(start));
  printf("start is after now %d\n", now.isAfter(start));
  printf("now is before start %d\n", start.isBefore(now));
  printf("now is after start %d\n", start.isAfter(now));
  printf("ms from start to now (really) %ld\n", start.mSecTo());
  printf("s from start to now (really) %ld\n", start.secTo());
  printf("ms since start %ld\n", start.mSecSince());
  printf("s since start %ld\n", start.secSince());
  printf("ms from now stamp to now (really) %ld\n", now.mSecTo());
  printf("s from now stamp to now (really) %ld\n", now.secTo());

  printf("Testing addMSec, adding 200 mSec\n");
  now.addMSec(200);
  printf("ms from now stamp to now (really) %ld\n", now.mSecTo());
  printf("Testing addMSec, subtracting 300 mSec\n");
  now.addMSec(-300);
  printf("ms from now stamp to now (really) %ld\n", now.mSecTo());
  printf("Testing addMSec, adding 20.999 seconds\n");
  now.addMSec(20999);
  printf("ms from now stamp to now (really) %ld\n", now.mSecTo());
  printf("Testing addMSec, subtracting 23.5 seconds\n");
  now.addMSec(-23500);
  printf("ms from now stamp to now (really) %ld\n", now.mSecTo());
  
  ArTime timeDone;
  timeDone.setToNow();
  timeDone.addMSec(1000);
  printf("Making sure the add works in the right direction, adding a second to a timestamp set now\n");
  printf("Reading: %ld\n", timeDone.mSecTo());
  printf("Sleeping 20 ms\n");
  ArUtil::sleep(20);
  printf("Reading: %ld\n", timeDone.mSecTo());
  printf("Sleeping 2 seconds\n");
  ArUtil::sleep(2000);
  printf("Reading: %ld\n", timeDone.mSecTo());
}
