/*#########################################
 * The Saphira application: all the basic processes loaded
 * Then loads colbert/startup.act
 *#########################################
 */


/**
 ** SfSaphira.cpp
 **
 ** Copyright 2001 by Kurt Konolige
 **
 ** The author hereby grants to SRI permission to use this software.
 ** The author also grants to SRI permission to distribute this software
 ** to schools for non-commercial educational use only.
 **
 ** The author hereby grants to other individuals or organizations
 ** permission to use this software for non-commercial
 ** educational use only.  This software may not be distributed to others
 ** except by SRI, under the conditions above.
 **
 ** Other than these cases, no part of this software may be used or
 ** distributed without written permission of the author.
 **
 ** Neither the author nor SRI make any representations about the 
 ** suitability of this software for any purpose.  It is provided 
 ** "as is" without express or implied warranty.
 **
 ** Kurt Konolige
 ** Senior Computer Scientist
 ** SRI International
 ** 333 Ravenswood Avenue
 ** Menlo Park, CA 94025
 ** E-mail:  konolige@ai.sri.com
 **
 **/


#include "Saphira.h"
#include <stdio.h>


// main function, sets up a robot and inits ARIA and Saphira
// only returns when exit is explicitly signaled
#ifndef WIN32
int
main(int argc, char **argv)
#else
int PASCAL
WinMain(HINSTANCE hInst, HINSTANCE hPrevInstance, LPSTR lpszCmdLine, int nCmdShow)
#endif
{
  Sf::init();			// start up Aria and Saphira  
  Sf::robot()->runAsync(false);	// start up the robot, don't need a connection

  sfLoadActivityFile("sysStartup.act"); // this loads basic system files...
  sfLoadActivityFile("myStartup.act"); // this loads anything we want...

  while (Sf::robot()->isRunning())
    ArUtil::sleep(100);
  Aria::shutdown();		// after we finish all processing
  return 0;
}

