/* 

Copyright(C) 2002, ActivMedia Robotics, LLC. All rights reserved.

This copy of Aria was relicensed for use with Saphira and the Saphira
license by ActivMedia Robotics, LLC.  If you wish to download a real
distribution of Aria under the GPL or a commercial license go to
http://www.activrobots.com/SOFTWARE/aria.html or contact ActivMedia
Robotics, LLC at robots@activmedia.com or ActivMedia Robotics, 44
Concord Street, Peterborough, NH 03458; 603-924-9100

ActivMedia Robotics, LLC hereby grants to SRI permission to use this
software.  ActivMedia Robotics, LLC also grants to SRI permission to
distribute this software to schools for non-commercial educational use
only.

ActivMedia Robotics, LLC hereby grants to other individuals or
organizations permission to use this software for non-commercial
educational use only.  This software may not be distributed to others
except by SRI, under the conditions above.

Other than these cases, no part of this software may be used or
distributed without written permission of ActivMedia Robotics, LLC.

Neither ActivMedia Robotics, LLC nor SRI make any representations
about the suitability of this software for any purpose.  It is
provided "as is" without express or implied warranty.  

*/
#ifndef _ArPrefSection_h
#define _ArPrefSection_h


#include <string>
#include <list>
#include "ariaTypedefs.h"
#include "ArPref.h"


class ArPrefSection
{
public:

  AREXPORT ArPrefSection(int id, const char *name, const char *comment);
  AREXPORT ArPrefSection(const ArPrefSection &sect);
  AREXPORT ~ArPrefSection();

  ArPrefSection * findSect(int id);
  ArPrefSection * findSect(const char *id);
  ArPref * findPref(int id);
  ArPref * findPref(const char *id);
  void addPref(ArPref *pref);
  void delPref(ArPref *pref);

  int myID;
  std::string myName;
  std::string myComment;
  ArPref *myPrefs;
  ArPref *myLastPref;
  ArPrefSection *myNext;
  ArPrefSection *myPrev;
};


#endif // _ArPrefSection_h
