/* 

Copyright(C) 2002, ActivMedia Robotics, LLC. All rights reserved.

This copy of Aria was relicensed for use with Saphira and the Saphira
license by ActivMedia Robotics, LLC.  If you wish to download a real
distribution of Aria under the GPL or a commercial license go to
http://www.activrobots.com/SOFTWARE/aria.html or contact ActivMedia
Robotics, LLC at robots@activmedia.com or ActivMedia Robotics, 44
Concord Street, Peterborough, NH 03458; 603-924-9100

ActivMedia Robotics, LLC hereby grants to SRI permission to use this
software.  ActivMedia Robotics, LLC also grants to SRI permission to
distribute this software to schools for non-commercial educational use
only.

ActivMedia Robotics, LLC hereby grants to other individuals or
organizations permission to use this software for non-commercial
educational use only.  This software may not be distributed to others
except by SRI, under the conditions above.

Other than these cases, no part of this software may be used or
distributed without written permission of ActivMedia Robotics, LLC.

Neither ActivMedia Robotics, LLC nor SRI make any representations
about the suitability of this software for any purpose.  It is
provided "as is" without express or implied warranty.  

*/
#ifndef ARROBOTTYPES_H
#define ARROBOTTYPES_H


#include "ariaUtil.h"
#include "ArRobotParamFile.h"


class ArRobotGeneric : public ArRobotParamFile
{
public:

  AREXPORT ArRobotGeneric(const char *name, const char *dir="");
  AREXPORT virtual ~ArRobotGeneric();

  AREXPORT virtual void setDefaults();
};

class ArRobotAmigo : public ArRobotParamFile
{
public:

  AREXPORT ArRobotAmigo(const char *dir="");
  AREXPORT virtual ~ArRobotAmigo();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2AT : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2AT(const char *dir="");
  AREXPORT virtual ~ArRobotP2AT();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2AT8 : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2AT8(const char *dir="");
  AREXPORT virtual ~ArRobotP2AT8();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2IT : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2IT(const char *dir="");
  AREXPORT virtual ~ArRobotP2IT();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2DX : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2DX(const char *dir="");
  AREXPORT virtual ~ArRobotP2DX();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2DXe : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2DXe(const char *dir="");
  AREXPORT virtual ~ArRobotP2DXe();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2DF : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2DF(const char *dir="");
  AREXPORT virtual ~ArRobotP2DF();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2D8 : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2D8(const char *dir="");
  AREXPORT virtual ~ArRobotP2D8();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2CE : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2CE(const char *dir="");
  AREXPORT virtual ~ArRobotP2CE();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2PP : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2PP(const char *dir="");
  AREXPORT virtual ~ArRobotP2PP();

  AREXPORT virtual void setDefaults();
};

class ArRobotP2PB : public ArRobotParamFile
{
public:

  AREXPORT ArRobotP2PB(const char *dir="");
  AREXPORT virtual ~ArRobotP2PB();

  AREXPORT virtual void setDefaults();
};

class ArRobotPerfPB : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPerfPB(const char *dir="");
  AREXPORT virtual ~ArRobotPerfPB();

  AREXPORT virtual void setDefaults();
};

class ArRobotPion1M : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPion1M(const char *dir="");
  AREXPORT virtual ~ArRobotPion1M();

  AREXPORT virtual void setDefaults();
};

class ArRobotPion1X : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPion1X(const char *dir="");
  AREXPORT virtual ~ArRobotPion1X();

  AREXPORT virtual void setDefaults();
};

class ArRobotPsos1M : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPsos1M(const char *dir="");
  AREXPORT virtual ~ArRobotPsos1M();

  AREXPORT virtual void setDefaults();
};

class ArRobotPsos43M : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPsos43M(const char *dir="");
  AREXPORT virtual ~ArRobotPsos43M();

  AREXPORT virtual void setDefaults();
};

class ArRobotPsos1X : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPsos1X(const char *dir="");
  AREXPORT virtual ~ArRobotPsos1X();

  AREXPORT virtual void setDefaults();
};

class ArRobotPionAT : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPionAT(const char *dir="");
  AREXPORT virtual ~ArRobotPionAT();

  AREXPORT virtual void setDefaults();
};

class ArRobotMapper : public ArRobotParamFile
{
public:

  AREXPORT ArRobotMapper(const char *dir="");
  AREXPORT virtual ~ArRobotMapper();

  AREXPORT virtual void setDefaults();
};

class ArRobotPowerBot : public ArRobotParamFile
{
public:

  AREXPORT ArRobotPowerBot(const char *dir="");
  AREXPORT virtual ~ArRobotPowerBot();

  AREXPORT virtual void setDefaults();
};



#endif // ARROBOTTYPES_H
