//
// SfLaserScan.h
//
// laser scan definitions

//
// Copyright 2002 by benson limketkai
//
// The author hereby grants to SRI permission to use this software.
// The author also grants to SRI permission to distribute this software
// to schools for non-commercial educational use only.
//
// The author hereby grants to other individuals or organizations
// permission to use this software for non-commercial
// educational use only.  This software may not be distributed to others
// except by SRI, under the conditions above.
//
// Other than these cases, no part of this software may be used or
// distributed without written permission of the author.
//
// Neither the author nor SRI make any representations about the 
// suitability of this software for any purpose.  It is provided 
// "as is" without express or implied warranty.
//
// benson limketkai
// Student Associate
// SRI International
// 333 Ravenswood Avenue
// Menlo Park, CA 94025
// E-mail:  bensonl@ai.sri.com
//


#ifndef SFLASERSCAN_H
#define SFLASERSCAN_H

#include "export.h"


class SfLaserScan : public SfArtifact
{
  public:
    SFEXPORT SfLaserScan(ArPose p, std::list<ArPose*>* scan, ulong id);
    SFEXPORT ~SfLaserScan(void);
    SFEXPORT void draw(SfWin* w);
    ulong getId() { return scanId; }

    SFEXPORT bool needsUpdating(ArPose newPose);
    SFEXPORT void updateScan(ArPose newPose);
    SFEXPORT ArPose getOriginalPoseTaken()
	{ return originalScanPose; }
    
    static SFEXPORT void DrawLaserScans(bool on);
    SFEXPORT void print(); // for debugging purposes
    bool updated;
    
  private:
    SFEXPORT void drawArrow(SfWin* w, double x, double y, double th, double dist=500);
    SFEXPORT static bool drawLaserScans;
    ulong scanId;
    ArPose originalScanPose;
    ArPose scanPose; // pose at which scan was taken
    std::list<ArPose*>* laserScan;
};

SFEXPORT extern SfLaserScan* testScan;

SFEXPORT void recordScan(void);
SFEXPORT void removeScan(void);
SFEXPORT void updateScan(int x, int y, int th);

#endif // SFLASERSCAN_H
