; Robot parameter file

[General]
;
; Generic settings
;
Class Pioneer
Subclass amigo
RobotRadius 180.000000   ; radius in mm
RobotDiagonal 120.000000   ; half-height to diagonal of octagon
Holonomic 1   ; turns in own radius
MaxRVelocity 300.000000   ; degrees per second
MaxVelocity 1000.000000   ; mm per second
HasMoveCommand 1   ; has built in move command
RequestIOPackets false   ; automatically request IO packets

[ConvFactors]
;
; Conversion factors
;
AngleConvFactor 0.001534   ; radians per angular unit (2PI/4096)
DistConvFactor 0.508300   ; mm returned by P2
VelConvFactor 0.615400   ; mm/sec returned by P2
RangeConvFactor 1.000000   ; sonar range returned in mm
DiffConvFactor 0.011000   ; ratio of angular velocity to wheel velocity difference
Vel2Divisor 20.000000   ; divisor for sending VEL2 commands to the robot

[Accessories]
;
; Accessories the robot has
;
TableSensingIR false   ; if the robot has upwards facing table sensing IR
NewTableSensingIR false   ; if the robot's table sensing IR are sent in the IO packet
FrontBumpers false   ; if the robot has a front bump ring
NumFrontBumpers 0   ; Number of front bumpers on the robot
RearBumpers false   ; if the robot has a rear bump ring
NumRearBumpers 0   ; Number of rear bumpers on the robot

[Sonar]
;
; Sonars
;
; SonarUnit values: <sonarNumber> <x position, mm> <y position, mm> <heading of disc, degrees>
;
SonarNum 8   ; Number of sonar on the robot
@start
SonarUnit 0 73 105 90 
SonarUnit 1 130 78 41 
SonarUnit 2 154 30 15 
SonarUnit 3 154 -30 -15 
SonarUnit 4 130 -78 -41 
SonarUnit 5 73 -105 -90 
SonarUnit 6 -146 -60 -145 
SonarUnit 7 -146 60 145 
@end

[Laser]
;
;Settings relating to the laser
;
LaserPossessed false   ; if there is a laser on the robot or not
LaserPort COM3   ; port the laser is on
LaserFlipped false   ; if the laser on the robot is flipped (upside-down) or not
LaserPowerControlled true   ; if the power to the laser is controlled by serial
LaserX 0   ; X location of laser (mm)
LaserY 0   ; Y location of laser (mm)

