; Robot parameter file

[General]
;
; Generic settings
;
Class Pioneer
Subclass p2de
RobotRadius 250.000000   ; radius in mm
RobotDiagonal 120.000000   ; half-height to diagonal of octagon
Holonomic 1.000000   ; turns in own radius
MaxRVelocity 500.000000   ; degrees per second
MaxVelocity 2200.000000   ; mm per second
HasMoveCommand 1   ; has built in move command
RequestIOPackets false   ; automatically request IO packets

[ConvFactors]
;
; Conversion factors
;
AngleConvFactor 0.001534   ; radians per angular unit (2PI/4096)
DistConvFactor 0.969000   ; mm returned by P2
VelConvFactor 1.000000   ; mm/sec returned by P2
RangeConvFactor 0.268000   ; sonar range returned in mm
DiffConvFactor 0.005600   ; ratio of angular velocity to wheel velocity difference
Vel2Divisor 20.000000   ; divisor for sending VEL2 commands to the robot

[Accessories]
;
; Accessories the robot has
;
TableSensingIR false   ; if the robot has upwards facing table sensing IR
NewTableSensingIR false   ; if the robot's table sensing IR are sent in the IO packet
FrontBumpers false   ; if the robot has a front bump ring
NumFrontBumpers 0   ; Number of front bumpers on the robot
RearBumpers false   ; if the robot has a rear bump ring
NumRearBumpers 0   ; Number of rear bumpers on the robot

[Sonar]
;
; Sonars
;
; SonarUnit values: <sonarNumber> <x position, mm> <y position, mm> <heading of disc, degrees>
;
SonarNum 16   ; Number of sonar on the robot
@start
SonarUnit 0 115 130 90 
SonarUnit 1 155 115 50 
SonarUnit 2 190 80 30 
SonarUnit 3 210 25 10 
SonarUnit 4 210 -25 -10 
SonarUnit 5 190 -80 -30 
SonarUnit 6 155 -115 -50 
SonarUnit 7 115 -130 -90 
SonarUnit 8 -115 -130 -90 
SonarUnit 9 -155 -115 -130 
SonarUnit 10 -190 -80 -150 
SonarUnit 11 -210 -25 -170 
SonarUnit 12 -210 25 170 
SonarUnit 13 -190 80 150 
SonarUnit 14 -155 115 130 
SonarUnit 15 -115 130 90 
@end

[Laser]
;
;Settings relating to the laser
;
LaserPossessed false   ; if there is a laser on the robot or not
LaserPort COM3   ; port the laser is on
LaserFlipped false   ; if the laser on the robot is flipped (upside-down) or not
LaserPowerControlled true   ; if the power to the laser is controlled by serial
LaserX 8   ; X location of laser (mm)
LaserY 17   ; Y location of laser (mm)

