; Robot parameter file

[General]
;
; Generic settings
;
Class Pioneer
Subclass powerbot
RobotRadius 550.000000   ; radius in mm
RobotDiagonal 400.000000   ; half-height to diagonal of octagon
Holonomic 1.000000   ; turns in own radius
MaxRVelocity 360.000000   ; degrees per second
MaxVelocity 2000.000000   ; mm per second
HasMoveCommand 1   ; has built in move command
RequestIOPackets false   ; automatically request IO packets

[ConvFactors]
;
; Conversion factors
;
AngleConvFactor 0.001534   ; radians per angular unit (2PI/4096)
DistConvFactor 0.581300   ; mm returned by P2
VelConvFactor 1.000000   ; mm/sec returned by P2
RangeConvFactor 1.000000   ; sonar range returned in mm
DiffConvFactor 0.003730   ; ratio of angular velocity to wheel velocity difference
Vel2Divisor 20.000000   ; divisor for sending VEL2 commands to the robot

[Accessories]
;
; Accessories the robot has
;
TableSensingIR false   ; if the robot has upwards facing table sensing IR
NewTableSensingIR false   ; if the robot's table sensing IR are sent in the IO packet
FrontBumpers true   ; if the robot has a front bump ring
NumFrontBumpers 7   ; Number of front bumpers on the robot
RearBumpers true   ; if the robot has a rear bump ring
NumRearBumpers 5   ; Number of rear bumpers on the robot

[Sonar]
;
; Sonars
;
; SonarUnit values: <sonarNumber> <x position, mm> <y position, mm> <heading of disc, degrees>
;
SonarNum 31   ; Number of sonar on the robot
@start
SonarUnit 0 152 278 90 
SonarUnit 1 200 267 65 
SonarUnit 2 241 238 45 
SonarUnit 3 274 200 35 
SonarUnit 4 300 153 25 
SonarUnit 5 320 96 15 
SonarUnit 6 332 33 5 
SonarUnit 7 0 0 -180 
SonarUnit 8 332 -33 -5 
SonarUnit 9 320 -96 -15 
SonarUnit 10 300 -153 -25 
SonarUnit 11 274 -200 -35 
SonarUnit 12 241 -238 -45 
SonarUnit 13 200 -267 -65 
SonarUnit 14 152 -278 -90 
SonarUnit 15 0 0 -180 
SonarUnit 16 -298 -278 -90 
SonarUnit 17 -347 -267 -115 
SonarUnit 18 -388 -238 -135 
SonarUnit 19 -420 -200 -145 
SonarUnit 20 -447 -153 -155 
SonarUnit 21 -467 -96 -165 
SonarUnit 22 -478 -33 -175 
SonarUnit 23 0 0 -180 
SonarUnit 24 -478 33 175 
SonarUnit 25 -467 96 165 
SonarUnit 26 -447 153 155 
SonarUnit 27 -420 200 145 
SonarUnit 28 -388 238 135 
SonarUnit 29 -347 267 115 
SonarUnit 30 -298 278 90 
@end

[Laser]
;
;Settings relating to the laser
;
LaserPossessed true   ; if there is a laser on the robot or not
LaserPort COM2   ; port the laser is on
LaserFlipped true   ; if the laser on the robot is flipped (upside-down) or not
LaserPowerControlled true   ; if the power to the laser is controlled by serial
LaserX 251   ; X location of laser (mm)
LaserY 0   ; Y location of laser (mm)

